<header>
  <nav class="navbar is-dark" role="navigation" aria-label="main navigation">
    <div class="navbar-brand">
        <a class="navbar-item" href="{{path('home')}}">
        <img src="https://bulma.io/images/bulma-logo-white.png" width="112" height="28">
        </a>

        <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false" data-target="navbarBasicExample">
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
        </a>
    </div>

    <div id="navbarBasicExample" class="navbar-menu">
        <div class="navbar-start">
        </div>
            <div class="navbar-end">
                <div class="navbar-item">
                    <div class="mx-5">
                        <search-bar></search-bar>
                        {% if not (hideCart is defined and hideCart) %}
                            <shopping-cart></shopping-cart>
                        {% endif %}
                    </div>
                    <div class="buttons">
                        {% if app.user %}
                            <a class="button is-light" href='{{path("app_logout")}}'>
                                {{app.user.username}} - Se déconnecter
                            </a>
                        {% else %}
                            <a class="button is-primary" href='{{path("app_register")}}'>
                                <strong>S'inscrire</strong>
                            </a>
                            <a class="button is-light" href='{{path("app_login")}}'>
                                Se connecter
                            </a>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </nav>
</header>